Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Mike Frysinger (vapier)" <vapier@g.o>
Subject: gentoo-x86 commit in sys-fs/mdadm: ChangeLog mdadm-3.2.1.ebuild
Date: Sat, 12 Nov 2011 21:06:44 +0000 (UTC)
vapier      11/11/12 21:06:44

  Modified:             ChangeLog mdadm-3.2.1.ebuild
  Log:
  Drop support for baselayout-1, and move to EAPI=2.
  
  (Portage version: 2.2.0_alpha72/cvs/Linux x86_64)

Revision  Changes    Path
1.146                sys-fs/mdadm/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/mdadm/ChangeLog?rev=1.146&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/mdadm/ChangeLog?rev=1.146&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/mdadm/ChangeLog?r1=1.145&r2=1.146

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/mdadm/ChangeLog,v
retrieving revision 1.145
retrieving revision 1.146
diff -u -r1.145 -r1.146
--- ChangeLog	11 Jun 2011 21:12:39 -0000	1.145
+++ ChangeLog	12 Nov 2011 21:06:44 -0000	1.146
@@ -1,6 +1,10 @@
 # ChangeLog for sys-fs/mdadm
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/mdadm/ChangeLog,v 1.145 2011/06/11 21:12:39 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/mdadm/ChangeLog,v 1.146 2011/11/12 21:06:44 vapier Exp $
+
+  12 Nov 2011; Mike Frysinger <vapier@g.o> mdadm-3.2.1.ebuild,
+  +files/mdraid.rc:
+  Drop support for baselayout-1, and move to EAPI=2.
 
   11 Jun 2011; Markus Meier <maekke@g.o> mdadm-3.1.4.ebuild,
   mdadm-3.1.5.ebuild:



1.2                  sys-fs/mdadm/mdadm-3.2.1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/mdadm/mdadm-3.2.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/mdadm/mdadm-3.2.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/mdadm/mdadm-3.2.1.ebuild?r1=1.1&r2=1.2

Index: mdadm-3.2.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/mdadm/mdadm-3.2.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- mdadm-3.2.1.ebuild	8 Apr 2011 00:13:19 -0000	1.1
+++ mdadm-3.2.1.ebuild	12 Nov 2011 21:06:44 -0000	1.2
@@ -1,7 +1,8 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/mdadm/mdadm-3.2.1.ebuild,v 1.1 2011/04/08 00:13:19 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/mdadm/mdadm-3.2.1.ebuild,v 1.2 2011/11/12 21:06:44 vapier Exp $
 
+EAPI="2"
 inherit eutils flag-o-matic toolchain-funcs
 
 DESCRIPTION="A useful tool for running RAID systems - it can be used as a replacement for the raidtools"
@@ -15,20 +16,18 @@
 IUSE="static"
 
 DEPEND=""
-RDEPEND=">=sys-apps/util-linux-2.16"
+RDEPEND="!<sys-apps/baselayout-2
+	>=sys-apps/util-linux-2.16"
 
 # The tests edit values in /proc and run tests on software raid devices.
 # Thus, they shouldn't be run on systems with active software RAID devices.
 RESTRICT="test"
 
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
+src_prepare() {
 	epatch "${FILESDIR}"/${PN}-3.0-dont-make-man.patch
 	epatch "${FILESDIR}"/${PN}-3.2.1-syslog-updates.patch
 	epatch "${FILESDIR}"/${PN}-3.2.1-mdassemble.patch #211426
 	epatch "${FILESDIR}"/${PN}-3.1.5-cflags.patch #336175
-	use static && append-ldflags -static
 }
 
 mdadm_emake() {
@@ -41,6 +40,7 @@
 }
 
 src_compile() {
+	use static && append-ldflags -static
 	mdadm_emake all mdassemble
 }
 
@@ -56,15 +56,11 @@
 	dosbin mdassemble || die
 	dodoc ChangeLog INSTALL TODO README* ANNOUNCE-${PV}
 
-	exeinto /$(get_libdir)/rcscripts/addons
-	newexe "${FILESDIR}"/raid-start.sh-3.0 raid-start.sh || die
-	newexe "${FILESDIR}"/raid-stop.sh raid-stop.sh || die
-
 	insinto /etc
 	newins mdadm.conf-example mdadm.conf
 	newinitd "${FILESDIR}"/mdadm.rc mdadm || die
 	newconfd "${FILESDIR}"/mdadm.confd mdadm || die
-	newinitd "${FILESDIR}"/mdraid.rc-3.1.1 mdraid || die
+	newinitd "${FILESDIR}"/mdraid.rc mdraid || die
 	newconfd "${FILESDIR}"/mdraid.confd mdraid || die
 
 	# do not rely on /lib -> /libXX link





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sys-fs/mdadm: ChangeLog mdadm-3.2.1.ebuild
Next by thread:
proj/sparse: New tag: v0.4.3
Previous by date:
gentoo-x86 commit in sys-fs/mdadm/files: mdraid.rc
Next by date:
gentoo-x86 commit in kde-base/plasma-workspace: plasma-workspace-4.7.3-r2.ebuild ChangeLog plasma-workspace-4.7.3-r1.ebuild


Updated Jun 24, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.